# GET /minimax/v1/files/retrieve

**Method**: `GET`
**Endpoint**: `/minimax/v1/files/retrieve`

## Request Parameters

### Query Parameters

```text
file_id
string
Required
Example:
302892389810432
```

### Header Parameters

```text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}
```

## Example Request

### Shell

```bash
curl --location --request GET '/minimax/v1/files/retrieve?file_id=302892389810432' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}'
```

## Response

### 🟢 200 Success

**Content Type**: `application/json`

#### Response Schema

```text
file
object
Required
file_id
integer
Required
bytes
integer
Required
created_at
integer
Required
filename
string
Required
purpose
string
Required
download_url
string
Required
backup_download_url
string
Required
base_resp
object
Required
status_code
integer
Required
status_msg
string
Required
```

#### Example

```json
{"file":{"file_id":302892389810432,"bytes":0,"created_at":1755501139,"filename":"output.mp4","purpose":"video_generation","download_url":"https://public-cdn-video-data-algeng.oss-cn-wulanchabu.aliyuncs.com/inference_output%2Fvideo%2F2025-08-18%2F1bd7a87b-b486-46fe-9147-8639a199811f%2Foutput.mp4?Expires=1755538199&OSSAccessKeyId=LTAI5tAmwsjSaaZVA6cEFAUu&Signature=MnjwhtIuAyNXh%2BNgbwZxANiy3Ww%3D","backup_download_url":"https://public-cdn-video-data-algeng-us.oss-us-east-1.aliyuncs.com/inference_output%2Fvideo%2F2025-08-18%2F1bd7a87b-b486-46fe-9147-8639a199811f%2Foutput.mp4?Expires=1755538199&OSSAccessKeyId=LTAI5tCpJNKCf5EkQHSuL9xg&Signature=ErMN5N81FmtGvYFIlo37t2wtNho%3D"},"base_resp":{"status_code":0,"status_msg":"success"}}
```
